import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainCompanyPostTable from '@/components/Render/Main/Company/Post/table'
import PagesMainCompanyPostCreate from '@/components/Render/Main/Company/Post/create'

const CompanyPostPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainCompanyPostTable getId={getId}></PagesMainCompanyPostTable>
                <PagesMainCompanyPostCreate id={id}></PagesMainCompanyPostCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(CompanyPostPage);

